package k.ld34.effects;

import k.ld34.entities.Entity;
import k.ld34.entities.Player;

#if DEBUG
import k.lib.gconsole.GameConsole;
#end

class Engine extends Entity {
	private var ship:Player;

	public function new(parent:Stage, player:Player) {
		super(parent, "player-misc");

		tile_id = -1;
		tile_name = "player-engine-1";
		playAnimation("player-engine");
		has_preupdate = true;
		ship = player;
	}

	override private inline function preUpdate():Void {
		if (x != ship.x || y != ship.y) {
			setCoordinates(ship.x, ship.y);
			Entity.needsUpdate = true;
		}
	}
}
