package k.ld34.effects;

import k.ld34.entities.Entity;

#if DEBUG
import k.lib.gconsole.GameConsole;
#end

class Shot extends Entity {
	private var sprite:String;
	private var n:Int;
	private var curr:Int;

	public function new(parent:Stage, sprite:String, n:Int) {
		super(parent, "effects");

		this.sprite = sprite;
		this.n = n;

		curr = 0;
		tile_id = -1;
		tile_name = "shot-" + sprite + "-" + curr;
		has_preupdate = true;
	}

	override private inline function preUpdate():Void {
		if (Main.kframe % 2 == 1) return;

		curr++;
		if (curr >= n) return destroy();

		tile_id = -1;
		tile_name = "shot-" + sprite + "-" + curr;
	}
}
