package k.ld34.waves;

import k.ld34.Stage;
import k.ld34.entities.Entity;
import k.ld34.entities.ShipA;

import k.lib.gconsole.GameConsole;

class DiagWave extends Wave {
	public function new(stage:Stage, diff:Int, dir:Int) {
		super(stage, diff);

		var nShips:Int = 4;
		if (diff > 2) nShips++;
		if (diff > 3) nShips++;
		if (diff > 5) nShips++;

		var posx:Int = dir == 1 ? -150 : Main.GAME_WIDTH + 150;
		var posy:Int = -20;

		for (i in 0...nShips) {
			var ship:ShipA = new ShipA(stage, diff, posx, posy);
			if (dir == 1) ship.maxposx = Main.GAME_WIDTH + 20;
			else ship.minposx = -20;
			ship.setDestination(Main.GAME_WIDTH - posx, 110 + posy);
			posy += 10;
			posx += dir * 16;
		}
	}
}
