package k.ld34.waves;

import k.ld34.Stage;
import k.ld34.entities.Entity;

import k.lib.gconsole.GameConsole;

@:generic
class MWave<T:{
	function new(parent:Stage, diff:Int, x:Int, y:Int):Void;
	function setDestination(x:Float, y:Float, ?cb:Entity->Void):Void;
}> extends Wave {
	public function new(stage:Stage, diff:Int) {
		super(stage, diff);
		var dx:Int = Std.int(((Main.GAME_WIDTH - 20) / 4));
		var x:Int = 10;
		var y:Int = Main.GAME_HEIGHT + 30;

		var ship:T = new T(stage, diff, x, -20);
		ship.setDestination(x, y);

		x += dx;
		var ship:T = new T(stage, diff, x, -45);
		ship.setDestination(x, y);

		x = Std.int(Main.GAME_WIDTH / 2);
		var ship:T = new T(stage, diff, x, -30);
		ship.setDestination(x, y);

		x += dx;
		var ship:T = new T(stage, diff, x, -45);
		ship.setDestination(x, y);

		x = Main.GAME_WIDTH - 10;
		var ship:T = new T(stage, diff, x, -20);
		ship.setDestination(x, y);
	}
}
