package k.ld34.effects;

import k.ld34.entities.Entity;

class Explosion extends Entity {
	private var curr:Int;

	public function new(parent:Stage, ?delay:Int = 0) {
		super(parent, "effects");

		curr = 0 - delay;
		tile_id = -1;
		tile_name = "explosion-" + curr;
		has_preupdate = true;
	}

	override private inline function preUpdate():Void {
		curr++;
		if (curr < 1) return;
		if (curr > 4) return destroy();

		tile_id = -1;
		tile_name = "explosion-" + curr;
	}
}
